import request from '@/utils/request'

// 创建合同模板
export function createContTemp(data) {
  return request({
    url: '/base/cont-temp/create',
    method: 'post',
    data: data
  })
}

// 更新合同模板
export function updateContTemp(data) {
  return request({
    url: '/base/cont-temp/update',
    method: 'put',
    data: data
  })
}

// 删除合同模板
export function deleteContTemp(id) {
  return request({
    url: '/base/cont-temp/delete?id=' + id,
    method: 'delete'
  })
}

// 获得合同模板
export function getContTemp(id) {
  return request({
    url: '/base/cont-temp/get?id=' + id,
    method: 'get'
  })
}

// 获得合同模板分页
export function getContTempPage(params) {
  return request({
    url: '/base/cont-temp/page',
    method: 'get',
    params
  })
}
// 导出合同模板 Excel
export function exportContTempExcel(params) {
  return request({
    url: '/base/cont-temp/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}
